GET
/api/v1/agents/:entityPublicId/verificationAgents_GetAgentVerificationDossier
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Agents_GetAgentVerificationDossier",
"summary": "Read one agent's public verification dossier and evidence provenance",
"tags": [
"Agents"
],
"parameters": [
{
"name": "entityPublicId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"agent": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalSlug": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string"
},
"tagline": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"imageUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"publicId",
"canonicalSlug",
"name",
"tagline",
"imageUri",
"projectedAt"
],
"additionalProperties": false
},
"platformState": {
"type": "string",
"enum": [
"UNVERIFIED",
"PARTIAL",
"VERIFIED",
"EXPIRED",
"REVOKED",
"CONFLICTED"
]
},
"badge": {
"type": "object",
"properties": {
"tier": {
"type": "string",
"enum": [
"VERIFIED",
"VERIFIED_EXPIRING",
"PARTIAL",
"EXPIRED",
"REVOKED",
"CONFLICTED",
"UNVERIFIED"
]
},
"eligibleForVerifiedDirectory": {
"type": "boolean"
},
"policyVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"lastVerifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"expiresAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"tier",
"eligibleForVerifiedDirectory",
"policyVersion",
"lastVerifiedAt",
"expiresAt"
],
"additionalProperties": false
},
"productAssertions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"assertionType": {
"type": "string",
"enum": [
"PLATFORM_VERIFICATION",
"OFFICIAL_LINK_CONTROL",
"EXECUTION_WALLET_CONTROL",
"REVENUE_VERIFICATION",
"SERVICE_VERIFICATION",
"TOKEN_RELATIONSHIP",
"PROVIDER_ASSESSMENT",
"MEDUSA_PASSPORT",
"MANUAL_TRUST_OVERRIDE"
]
},
"issuer": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"PROTOCOL",
"PROVIDER",
"PLATFORM",
"ADMIN",
"COMMUNITY"
]
},
"reference": {
"type": "string",
"minLength": 1
}
},
"required": [
"kind",
"reference"
],
"additionalProperties": false
},
"scope": {
"type": "string",
"minLength": 1
},
"state": {
"type": "string",
"enum": [
"ACTIVE",
"EXPIRED",
"REVOKED",
"DISPUTED"
]
},
"issuedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"expiresAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"revokedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"confidencePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"schemaVersion": {
"type": "string",
"minLength": 1
},
"policy": {
"anyOf": [
{
"type": "object",
"properties": {
"code": {
"type": "string",
"minLength": 1
},
"version": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"scope": {
"type": "string",
"minLength": 1
},
"configurationSha256": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
}
},
"required": [
"code",
"version",
"scope",
"configurationSha256"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"evidence": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"kind": {
"type": "string",
"minLength": 1
},
"sourceSystem": {
"anyOf": [
{
"type": "object",
"properties": {
"key": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string",
"minLength": 1
}
},
"required": [
"key",
"name"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"observedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"remoteUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"digestAlgorithm": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"digestHex": {
"anyOf": [
{
"type": "string",
"pattern": "^[a-f0-9]+$"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"kind",
"sourceSystem",
"observedAt",
"remoteUri",
"digestAlgorithm",
"digestHex"
],
"additionalProperties": false
}
},
"required": [
"publicId",
"assertionType",
"issuer",
"scope",
"state",
"issuedAt",
"expiresAt",
"revokedAt",
"confidencePpm",
"schemaVersion",
"policy",
"evidence"
],
"additionalProperties": false
}
},
"protocolNativeAttestations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"identity": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"schemeKey": {
"type": "string",
"minLength": 1
},
"canonicalKey": {
"type": "string",
"minLength": 1
}
},
"required": [
"publicId",
"schemeKey",
"canonicalKey"
],
"additionalProperties": false
},
"protocol": {
"anyOf": [
{
"type": "object",
"properties": {
"key": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string",
"minLength": 1
},
"deploymentKey": {
"type": "string",
"minLength": 1
}
},
"required": [
"key",
"name",
"deploymentKey"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"assertionType": {
"type": "string",
"minLength": 1
},
"schemaKey": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"issuer": {
"anyOf": [
{
"type": "object",
"properties": {
"locatorPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalValue": {
"type": "string",
"minLength": 1
},
"networkKey": {
"type": "string",
"minLength": 1
}
},
"required": [
"locatorPublicId",
"canonicalValue",
"networkKey"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"subject": {
"anyOf": [
{
"type": "object",
"properties": {
"locatorPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalValue": {
"type": "string",
"minLength": 1
},
"networkKey": {
"type": "string",
"minLength": 1
}
},
"required": [
"locatorPublicId",
"canonicalValue",
"networkKey"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"state": {
"type": "string",
"enum": [
"ACTIVE",
"EXPIRED",
"REVOKED"
]
},
"validFrom": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"validUntil": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"revokedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"evidence": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"kind": {
"type": "string",
"minLength": 1
},
"sourceSystem": {
"anyOf": [
{
"type": "object",
"properties": {
"key": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string",
"minLength": 1
}
},
"required": [
"key",
"name"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"observedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"remoteUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"digestAlgorithm": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"digestHex": {
"anyOf": [
{
"type": "string",
"pattern": "^[a-f0-9]+$"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"kind",
"sourceSystem",
"observedAt",
"remoteUri",
"digestAlgorithm",
"digestHex"
],
"additionalProperties": false
}
},
"required": [
"publicId",
"identity",
"protocol",
"assertionType",
"schemaKey",
"issuer",
"subject",
"state",
"validFrom",
"validUntil",
"revokedAt",
"evidence"
],
"additionalProperties": false
}
},
"evidenceCoverage": {
"type": "object",
"properties": {
"maximumPerCategory": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"productAssertionsReturned": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"productAssertionsTruncated": {
"type": "boolean"
},
"protocolNativeAttestationsReturned": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"protocolNativeAttestationsTruncated": {
"type": "boolean"
}
},
"required": [
"maximumPerCategory",
"productAssertionsReturned",
"productAssertionsTruncated",
"protocolNativeAttestationsReturned",
"protocolNativeAttestationsTruncated"
],
"additionalProperties": false
},
"evaluatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
}
},
"required": [
"agent",
"platformState",
"badge",
"productAssertions",
"protocolNativeAttestations",
"evidenceCoverage",
"evaluatedAt"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 2,
"x-stability": "STABLE"
}